<?php
/**
 * Ben Score module
 *
 * You may not change or alter any portion of this comment or credits
 * of supporting developers from this source code or any supporting source code
 * which is considered copyrighted (c) material of the original comment or credit authors.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * @copyright  The XOOPS Project http://sourceforge.net/projects/xoops/
 * @license    http://www.fsf.org/copyleft/gpl.html GNU public license
 * @package    Ben Score
 * @since      2.5
 * @author     Benjamin
 * @version    $Id $
 **/


$modversion = array();

//---模組基本資訊---//
$modversion['name']        = _MI_BENSCORE_NAME;
$modversion['version']     = '1.0';
$modversion['description'] = _MI_BENSCORE_DESC;
$modversion['author']      = _MI_BENSCORE_AUTHOR;
$modversion['credits']     = _MI_BENSCORE_CREDITS;
$modversion['help']        = 'page=help';
$modversion['license']     = 'GPL see LICENSE';
$modversion['image']       = "images/logo.png";
$modversion['dirname']     = basename(__DIR__);

//---模組狀態資訊---//
$modversion['status_version']      = '1.0';
$modversion['release_date']        = '2016-07-28';
$modversion['module_website_url']  = 'http://teaching.nsjh.ylc.edu.tw';
$modversion['module_website_name'] = _MI_BENSCORE_AUTHOR_WEB;
$modversion['module_status']       = 'release';
$modversion['author_website_url']  = 'http://teaching.nsjh.ylc.edu.tw';
$modversion['author_website_name'] = _MI_BENSCORE_AUTHOR_WEB;
$modversion['min_php']             = '5.2';
$modversion['min_xoops']           = '2.5';

//---paypal資訊---//
$modversion['paypal']                  = array();
$modversion['paypal']['business']      = 'tad0616@gmail.com';
$modversion['paypal']['item_name']     = 'Donation :' . _MI_BENSCORE_AUTHOR;
$modversion['paypal']['amount']        = 0;
$modversion['paypal']['currency_code'] = 'USD';

//---安裝設定---//
$modversion['onInstall']   = "include/onInstall.php";
$modversion['onUpdate']    = "include/onUpdate.php";
$modversion['onUninstall'] = "include/onUninstall.php";

//---啟動後台管理界面選單---//
$modversion['system_menu'] = 1;


//---資料表架構---//
$modversion['sqlfile']['mysql'] = "sql/mysql.sql";
$modversion['tables'][1] = "ben_score_student";
$modversion['tables'][2] = "ben_score_teacher";
$modversion['tables'][3] = "ben_score_course";
$modversion['tables'][4] = "ben_score_select_course";
$modversion['tables'][5] = "ben_score_comment";
$modversion['tables'][6] = "ben_score_files_center";

//---管理介面設定---//
$modversion['hasAdmin']   = 1;
$modversion['adminindex'] = "admin/main.php";
$modversion['adminmenu']  = "admin/menu.php";

//---使用者主選單設定---//
$modversion['hasMain'] = 1;
$i=0;
$i++;
$modversion['sub'][$i]['name'] =_MI_BENSCORE_SMNAME2;
$modversion['sub'][$i]['url'] = "class_course_student_query.php";
$i++;
$modversion['sub'][$i]['name'] =_MI_BENSCORE_SMNAME3;
$modversion['sub'][$i]['url'] = "class_course_score_query.php";
$i++;
$modversion['sub'][$i]['name'] =_MI_BENSCORE_SMNAME4;
$modversion['sub'][$i]['url'] = "student_query.php";
$i++;
$modversion['sub'][$i]['name'] =_MI_BENSCORE_SMNAME5;
$modversion['sub'][$i]['url'] = "class_student_query.php";
$i++;
$modversion['sub'][$i]['name'] =_MI_BENSCORE_SMNAME6;
$modversion['sub'][$i]['url'] = "teacher_query.php";
$i++;
$modversion['sub'][$i]['name'] =_MI_BENSCORE_SMNAME7;
$modversion['sub'][$i]['url'] = "comment_query.php";


//---樣板設定---//
$i=0;
$modversion['templates'][$i]['file'] = 'ben_score_adm_main.html';
$modversion['templates'][$i]['description'] = 'ben_score_adm_main.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_adm_main_b3.html';
$modversion['templates'][$i]['description'] = 'ben_score_adm_main_b3.html for bootstrap3';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_adm_student.html';
$modversion['templates'][$i]['description'] = 'ben_score_adm_student.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_adm_student_b3.html';
$modversion['templates'][$i]['description'] = 'ben_score_adm_student_b3.html for bootstrap3';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_adm_teacher.html';
$modversion['templates'][$i]['description'] = 'ben_score_adm_teacher.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_adm_teacher_b3.html';
$modversion['templates'][$i]['description'] = 'ben_score_adm_teacher_b3.html for bootstrap3';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_adm_course.html';
$modversion['templates'][$i]['description'] = 'ben_score_adm_course.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_adm_course_b3.html';
$modversion['templates'][$i]['description'] = 'ben_score_adm_course_b3.html for bootstrap3';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_adm_select_course.html';
$modversion['templates'][$i]['description'] = 'ben_score_adm_select_course.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_adm_select_course_b3.html';
$modversion['templates'][$i]['description'] = 'ben_score_adm_select_course_b3.html for bootstrap3';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_adm_comment.html';
$modversion['templates'][$i]['description'] = 'ben_score_adm_comment.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_adm_comment_b3.html';
$modversion['templates'][$i]['description'] = 'ben_score_adm_comment_b3.html for bootstrap3';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_index.html';
$modversion['templates'][$i]['description'] = 'ben_score_index.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_index_b3.html';
$modversion['templates'][$i]['description'] = 'ben_score_index_b3.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_class_course_student_query.html';
$modversion['templates'][$i]['description'] = 'ben_score_class_course_student_query.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_class_course_student_query_b3.html';
$modversion['templates'][$i]['description'] = 'ben_score_class_course_student_query_b3.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_class_course_score_query.html';
$modversion['templates'][$i]['description'] = 'ben_score_class_course_score_query.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_class_course_score_query_b3.html';
$modversion['templates'][$i]['description'] = 'ben_score_class_course_score_query_b3.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_student_query.html';
$modversion['templates'][$i]['description'] = 'ben_score_student_query.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_student_query_b3.html';
$modversion['templates'][$i]['description'] = 'ben_score_student_query_b3.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_class_student_query.html';
$modversion['templates'][$i]['description'] = 'ben_score_class_student_query.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_class_student_query_b3.html';
$modversion['templates'][$i]['description'] = 'ben_score_class_student_query_b3.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_teacher_query.html';
$modversion['templates'][$i]['description'] = 'ben_score_teacher_query.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_teacher_query_b3.html';
$modversion['templates'][$i]['description'] = 'ben_score_teacher_query_b3.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_comment_query.html';
$modversion['templates'][$i]['description'] = 'ben_score_comment_query.html';

$i++;
$modversion['templates'][$i]['file'] = 'ben_score_comment_query_b3.html';
$modversion['templates'][$i]['description'] = 'ben_score_comment_query_b3.html';

//---區塊設定---//
$i=0;
$i++;
$modversion['blocks'][$i]['file'] = 'ben_score_list_show.php';
$modversion['blocks'][$i]['name'] = _MI_BEN_SCORE_LIST_SHOW_BLOCK_NAME;
$modversion['blocks'][$i]['description']  = _MI_BEN_SCORE_LIST_SHOW_BLOCK_DESC;
$modversion['blocks'][$i]['show_func']  = 'ben_score_list_show';
$modversion['blocks'][$i]['template'] = 'ben_score_list_show.html';

$i++;
$modversion['blocks'][$i]['file'] = 'ben_score_show2.php';
$modversion['blocks'][$i]['name'] = _MI_BEN_SCORE_SHOW2_BLOCK_NAME;
$modversion['blocks'][$i]['description']  = _MI_BEN_SCORE_SHOW2_BLOCK_DESC;
$modversion['blocks'][$i]['show_func']  = 'ben_score_show2';
$modversion['blocks'][$i]['template'] = 'ben_score_show2.html';

